Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.fujitsu.iflow.model.workflow
Class ThresholdDefStruct

    java.lang.Object
      com.fujitsu.iflow.model.workflow.ThresholdDefStruct

All Implemented Interfaces:
  java.lang.Cloneable, java.io.Serializable

public final class ThresholdDefStruct
extends java.lang.Object
implements java.io.Serializable, java.lang.Cloneable

The ThresholdDefStruct class provides methods to get and set the values of thresholds. It is used by the `com.fujitsu.iflow.model.workflow.Dashboard` to manage the Key Performance Indicator (KPI).

See Also:
  Serialized Form

Field Summary
`long` | `alarmFrequency`
`long` | `alarmTime`
`java.lang.String` | `description`
`long` | `kpiId`
`long` | `processDefinitionId`
`ResponseDefStruct[]` | `responses`
`long` | `thresholdId`
`int` | `thresholdType`
`long` | `thresholdValue`

Constructor Summary
`ThresholdDefStruct()` Generates a new instance of the ThresholdDefStruct.

Method Summary
`ThresholdDefStruct` | `cloneStruct()`
`long` | `getAlarmFrequency()` Gets the AlarmFrequency of the threshold.
`long` | `getAlarmTime()` Gets the AlarmTime of the threshold.
`java.lang.String` | `getDesc()` Gets the description of the threshold.
`long` | `getKpiId()`
`long` | `getProcessDefinitionId()` Gets the ID of the process definition of the threshold.
`ResponseDefStruct[]` | `getResponses()` Gets the responses of the threshold.
`long` | `getThresholdId()` Gets the ID of the threshold.
`int` | `getThresholdType()` Gets the type of the threshold.
`long` | `getThresholdValue()` Gets the value of the threshold.
`void` | `setAlarmFrequency(long alarmFrequency)` Sets the alarm frequency of the threshold.
`void` | `setAlarmTime(long alarmTime)` Sets the alarm time of the threshold.
`void` | `setDesc(java.lang.String description)` Sets the description of the threshold.
`void` | `setKpiId(long kpiId)`
`void` | `setProcessDefinitionId(long processDefinitionId)` Sets the ID of the process definition of the threshold.
`void` | `setResponses(ResponseDefStruct[] responses)` Sets the responses of the threshold.
`void` | `setThresholdId(long thresholdId)`
`void` | `setThresholdType(int thresholdType)` Sets the type of the threshold.
`void` | `setThresholdValue(long thresholdValue)` Sets the value of the threshold.
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### thresholdId

    public long thresholdId

### kpiId

    public long kpiId

### thresholdType

    public int thresholdType

### alarmFrequency

    public long alarmFrequency

### thresholdValue

    public long thresholdValue

### processDefinitionId

    public long processDefinitionId

### description

    public java.lang.String description

### alarmTime

    public long alarmTime

### responses

    public ResponseDefStruct[] responses

Constructor Detail

### ThresholdDefStruct

    public ThresholdDefStruct()

  Generates a new instance of the ThresholdDefStruct.

Method Detail

### setThresholdId

    public void setThresholdId(long thresholdId)

### setKpiId

    public void setKpiId(long kpiId)

### setThresholdType

    public void setThresholdType(int thresholdType)

  Sets the type of the threshold.

  Parameters:
    `thresholdType` - The number of the new ThresholdType.

### setAlarmFrequency

    public void setAlarmFrequency(long alarmFrequency)

  Sets the alarm frequency of the threshold.

  Parameters:
    `alarmFrequency` - The frequency of the alarm as a value of the type long.

### setThresholdValue

    public void setThresholdValue(long thresholdValue)

  Sets the value of the threshold.

  Parameters:
    `thresholdValue` - The value of the threshold.

### setProcessDefinitionId

    public void setProcessDefinitionId(long processDefinitionId)

  Sets the ID of the process definition of the threshold.

  Parameters:
    `processDefinitionId` - The ID of the process definition.

### setAlarmTime

    public void setAlarmTime(long alarmTime)

  Sets the alarm time of the threshold.

  Parameters:
    `alarmTime` - The time of the alarm in miliseconds.

### setDesc

    public void setDesc(java.lang.String description)

  Sets the description of the threshold.

  Parameters:
    `description` - The description of the threshold.

### setResponses

    public void setResponses(ResponseDefStruct[] responses)

  Sets the responses of the threshold.

  Parameters:
    `responses` - An array of ResponseDefStructs containing the responses for the threshold.

### getThresholdId

    public long getThresholdId()

  Gets the ID of the threshold.

  Returns:
    The ID of the threshold.

### getKpiId

    public long getKpiId()

### getThresholdType

    public int getThresholdType()

  Gets the type of the threshold.

  Returns:
    The number which specifies the type of the threshold.

### getAlarmFrequency

    public long getAlarmFrequency()

  Gets the AlarmFrequency of the threshold.

  Returns:
    The frequency of the alarm of the threshold in miliseconds.

### getThresholdValue

    public long getThresholdValue()

  Gets the value of the threshold.

  Returns:
    The value of the threshold.

### getProcessDefinitionId

    public long getProcessDefinitionId()

  Gets the ID of the process definition of the threshold.

  Returns:
    The process definition ID of the threshold.

### getAlarmTime

    public long getAlarmTime()

  Gets the AlarmTime of the threshold.

  Returns:
    The time of the alarm as a value of the type long.

### getDesc

    public java.lang.String getDesc()

  Gets the description of the threshold.

  Returns:
    The description of the threshold.

### getResponses

    public ResponseDefStruct[] getResponses()

  Gets the responses of the threshold.

  Returns:
    An array of ResponseDefStructs containing the responses of the threshold.

### toString

    public java.lang.String toString()

### cloneStruct

    public ThresholdDefStruct cloneStruct()
                                   throws ModelException

  Throws:
    `ModelException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD